Name:           crispy-doom
Version:        5.10.3
Release:        1%{?dist}
Summary:        Crispy Doom is a limit-removing enhanced-resolution Doom source port based on Chocolate Doom.

License:        GPL v2+
URL:            https://github.com/fabiangreffrath/crispy-doom/
Source0:        %{name}-%{version}.tar.gz

BuildRequires:	libsamplerate-devel
BuildRequires:	desktop-file-utils
BuildRequires:  SDL2-devel
BuildRequires:  SDL2_mixer-devel
BuildRequires:  SDL2_mixer
BuildRequires:  SDL2_net-devel
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  cmake
BuildRequires:	python3
BuildRequires:	zlib-devel
BuildRequires:	libpng-devel
BuildRequires:	autoconf
BuildRequires:	automake

Requires:       SDL_mixer
Requires:	SDL_net
Requires:  	SDL2
Requires:	zlib
Requires:	libpng

%description
Crispy Doom is a source port that aims to provide a faithful Doom gaming experience while also featuring some user-requested improvements and enhancements. It is forked off of Chocolate Doom to take advantage of its free and open-source code base, portability, accuracy and compatibility with Vanilla Doom.

%prep
%autosetup -p1 -n %{name}-%{name}-%{version}

./autogen.sh
make

%install
rm -rf %{buildroot}
make install prefix="%{buildroot}/%{_exec_prefix}"

%files
%{_bindir}/crispy*
%{_datadir}/applications/*
%{_datadir}/bash-completion/completions/crispy*
%{_docdir}/crispy*
%{_datadir}/icons/hicolor/128x128/apps/crispy*
%{_mandir}/man5/*
%{_mandir}/man6/*
%{_datadir}/metainfo/*

%changelog
* Sun Sep 19 2021 Andrew Schott <andrew@schotty.com> - 5.10.3-1
- Initial specfile for EL8
